NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Annotations.AppendedTextBuilder Class Reference

This class is used to set/access the appended text of a dimension More...

Inheritance diagram for NXOpen.Annotations.AppendedTextBuilder:
NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe string[] GetAbove ()
 Gets the appended text above the annotation More...
 
unsafe void SetAbove (string[] lines)
 Sets the appended text above the annotation More...
 
unsafe string[] GetAfter ()
 Gets the appended text after the annotation More...
 
unsafe void SetAfter (string[] lines)
 Sets the appended text after the annotation More...
 
unsafe string[] GetBelow ()
 Gets the appended text below the annotation More...
 
unsafe void SetBelow (string[] lines)
 Sets the appended text below the annotation More...
 
unsafe string[] GetBefore ()
 Gets the appended text before the annotation More...
 
unsafe void SetBefore (string[] lines)
 Sets the appended text before the annotation More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe double UserDefinedSymbolAspectRatio [get, set]
 Returns or sets the aspect ratio for user defined symbol More...
 
unsafe double UserDefinedSymbolHeight [get, set]
 Returns or sets the height for user defined symbol More...
 
unsafe double UserDefinedSymbolLength [get, set]
 Returns or sets the length for user defined symbol More...
 
unsafe double UserDefinedSymbolScale [get, set]
 Returns or sets the scale for user defined symbol More...
 

Detailed Description

This class is used to set/access the appended text of a dimension

This is a sub-builder class and cannot be directly instantiated

Created in NX9.0.0

Member Function Documentation

unsafe string [] NXOpen.Annotations.AppendedTextBuilder.GetAbove ( )

Gets the appended text above the annotation

Created in NX9.0.0

License requirements: None.

Returns
List of lines
unsafe string [] NXOpen.Annotations.AppendedTextBuilder.GetAfter ( )

Gets the appended text after the annotation

Created in NX9.0.0

License requirements: None.

Returns
List of lines
unsafe string [] NXOpen.Annotations.AppendedTextBuilder.GetBefore ( )

Gets the appended text before the annotation

Created in NX9.0.0

License requirements: None.

Returns
List of lines
unsafe string [] NXOpen.Annotations.AppendedTextBuilder.GetBelow ( )

Gets the appended text below the annotation

Created in NX9.0.0

License requirements: None.

Returns
List of lines
unsafe void NXOpen.Annotations.AppendedTextBuilder.SetAbove ( string[]  lines)

Sets the appended text above the annotation

Created in NX9.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
linesList of new lines
unsafe void NXOpen.Annotations.AppendedTextBuilder.SetAfter ( string[]  lines)

Sets the appended text after the annotation

Created in NX9.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
linesList of new lines
unsafe void NXOpen.Annotations.AppendedTextBuilder.SetBefore ( string[]  lines)

Sets the appended text before the annotation

Created in NX9.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
linesList of new lines
unsafe void NXOpen.Annotations.AppendedTextBuilder.SetBelow ( string[]  lines)

Sets the appended text below the annotation

Created in NX9.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
linesList of new lines
unsafe bool NXOpen.Annotations.AppendedTextBuilder.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe double NXOpen.Annotations.AppendedTextBuilder.UserDefinedSymbolAspectRatio
getset

Returns or sets the aspect ratio for user defined symbol

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe double NXOpen.Annotations.AppendedTextBuilder.UserDefinedSymbolHeight
getset

Returns or sets the height for user defined symbol

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe double NXOpen.Annotations.AppendedTextBuilder.UserDefinedSymbolLength
getset

Returns or sets the length for user defined symbol

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe double NXOpen.Annotations.AppendedTextBuilder.UserDefinedSymbolScale
getset

Returns or sets the scale for user defined symbol

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.